summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2010-11-10 21:40:30 +0000
committerUlrich Müller <ulm@gentoo.org>2010-11-10 21:40:30 +0000
commitfbe0f7ba49cf6551eb4bd4f6140571bdf435c022 (patch)
tree70b644c818078c2d169a5ae0b264469d9f05ab4b /eclass
parentRevert test in elisp-need-emacs to make it fail for non-numeric have_emacs. (diff)
downloademacs-fbe0f7ba49cf6551eb4bd4f6140571bdf435c022.tar.gz
emacs-fbe0f7ba49cf6551eb4bd4f6140571bdf435c022.tar.bz2
emacs-fbe0f7ba49cf6551eb4bd4f6140571bdf435c022.zip
Update eclass documentation.
svn path=/emacs-overlay/; revision=1535
Diffstat (limited to 'eclass')
-rw-r--r--eclass/elisp-common.eclass14
1 files changed, 9 insertions, 5 deletions
diff --git a/eclass/elisp-common.eclass b/eclass/elisp-common.eclass
index acec9c2..6453493 100644
--- a/eclass/elisp-common.eclass
+++ b/eclass/elisp-common.eclass
@@ -29,6 +29,15 @@
# to your DEPEND/RDEPEND line and use the functions provided here to
# bring the files to the correct locations.
#
+# If your package requires a minimum Emacs version, e.g. Emacs 23, then
+# the dependency should be on >=virtual/emacs-23 instead. Because the
+# user can select the Emacs executable with eselect, you should also
+# make sure that the active Emacs version is sufficient. This can be
+# tested with function elisp-need-emacs(), which would typically be
+# called from pkg_setup(), as in the following example:
+#
+# elisp-need-emacs 23 || die "Emacs version too low"
+#
# .SS
# src_compile() usage:
#
@@ -126,11 +135,6 @@
# the emacs USE flag is taken from the package database and not from the
# environment, so it is no problem when you unset USE=emacs between
# merge and unmerge of a package.
-#
-# .SS
-# Miscellaneous functions:
-#
-# elisp-emacs-version() outputs the version of the currently active Emacs.
# @ECLASS-VARIABLE: SITELISP
# @DESCRIPTION: